### php.java.faces

# Class PhpFacesScriptEngine

- `java.lang.Object`

- `javax.script.AbstractScriptEngine`

- `php.java.script.PhpScriptEngine`

- `php.java.faces.PhpFacesScriptEngine`

Implemented Interfaces:
  Invocable, ScriptEngine

`public class PhpFacesScriptEngine`
`extends PhpScriptEngine`
`implements Invocable`

A custom ScriptEngine, keeps the custom ScriptContext

Author:
  jostb

### Fields inherited from interface javax.script.ScriptEngine

`ARGV`, `ENGINE`, `ENGINE_VERSION`, `FILENAME`, `LANGUAGE`, `LANGUAGE_VERSION`, `NAME`

## Constructor Summary

`PhpFacesScriptEngine(javax.servlet.ServletContext kontext, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, PhpScriptWriter writer)`
  Creates a new ScriptEngine.

## Method Summary

### Methods inherited from class php.java.script.PhpScriptEngine

`createBindings`, `eval`, `eval`, `eval`, `eval`, `eval`, `eval`, `getFactory`, `getInterface`, `getInterface`, `invoke`, `invoke`, `release`

### Methods inherited from class javax.script.AbstractScriptEngine

`eval`, `eval`, `eval`, `eval`, `get`, `getBindings`, `getContext`, `put`, `setBindings`, `setContext`

### Methods inherited from class java.lang.Object

`equals`, `getClass`, `hashCode`, `notify`, `notifyAll`, `toString`, `wait`, `wait`, `wait`

## Constructor Details

### PhpFacesScriptEngine

    public PhpFacesScriptEngine(javax.servlet.ServletContext kontext,
                                javax.servlet.http.HttpServletRequest request,
                                javax.servlet.http.HttpServletResponse response,
                                PhpScriptWriter writer)

> Creates a new ScriptEngine.

> Parameters:
>   `kontext` - The ServletContext
>   `request` - The HttpServletRequest
>   `response` - The HttpServletResponse
>   `writer` - The PhpScriptWriter